# Rate Difference Debit Notes against PU

## Save Rate Diff Debit Notes Againt PU :- LOGIC API PUSH - GENERATE RATE DIFF/PHY STOCK DEBIT NOTES <a href="#heading" id="heading"></a>

This API is used to Save the Rate Diff Debit Notes Againt PU in LOGIC

### **Authorization Detail**

| Name          | Detail                                                        |
| ------------- | ------------------------------------------------------------- |
| End Point     | <http://demo.logicerp.com/api/SaveRateDiffDebitNotesAgaintPU> |
| Request Type  | POST                                                          |
| Authorization | Basic Auth                                                    |
| Username      | Demo                                                          |
| Password      | 1                                                             |

### **Request**

```

{
    "BranchShortName": null,
    "BranchCode": 2,
    "GRN_Prefix": "LPO",
    "GRN_Number": 14,
    "Bill_No": "112"
} 

```

### **Response**

```
 
{
    "PrintFile": "",
    "Invoice_No": "",
    "Order_No": "",
    "Status": true,
    "Message": "",
    "LastSavedCode": ""
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://kb.logicerp.com/logic-erp-learning-hub-tutorials-and-best-practices/api-documentation/purchase/push/rate-difference-debit-notes-against-pu.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
